启动spring boot时报错

2019-07-29 15:34:49.472 ERROR 9600 --- [ main] o.s.boot.SpringApplication : Application startup failed

java.lang.UnsupportedClassVersionError: javax/annotation/ManagedBean : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method) ~[na:1.6.0_45]
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631) ~[na:1.6.0_45]
at java.lang.ClassLoader.defineClass(ClassLoader.java:615) ~[na:1.6.0_45]
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[na:1.6.0_45]
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[na:1.6.0_45]
at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[na:1.6.0_45]
at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[na:1.6.0_45]
at java.security.AccessController.doPrivileged(Native Method) ~[na:1.6.0_45]
at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[na:1.6.0_45]
at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[na:1.6.0_45]
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301) ~[na:1.6.0_45]
at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[na:1.6.0_45]
at org.springframework.util.ClassUtils.forName(ClassUtils.java:250) ~[spring-core-4.3.13.RELEASE.jar:4.3.13.RELEASE]

2个回答

JDK 的版本的问题,换一个低版本试试?

qq_39984836
Meandmyhoodie 好了,换了一个版本高点地jdk就好了
大约一年之前 回复
qq_39984836
Meandmyhoodie 嗯嗯,我试下,谢谢
大约一年之前 回复

maven自带的jar版本与javax的jar版本不符,只需要把maven项目的jar改成一样就好了

qq_39984836
Meandmyhoodie 好的,谢谢你
大约一年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐